QGIS Application - Bug report #16639
"CRS was undefined" from Oracle layer
2017-05-30 11:10 AM - antoine dauce

Status: Closed

Priority: Normal

Assignee:

Category: Data Provider/Oracle

Affected QGIS version:2.14.6
Operating System: Windows 7
Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution: end of life

Copied to github as #: 24539

Description

Hi,

When QGIS queries Oracle to get SRID information there are 2 different queries :

SELECT srid FROM mdsys.all_sdo_geom_metadata WHERE owner="owner' AND table_name="layer' AND

column_name='geometry

SELECT coalesce(auth_name,'EPSG'),auth_srid,wktext FROM mdsys.cs_srs WHERE srid=3945

For those queries ORACLE send right answer to QGIS :

SRID
> > 3945
coalesce(auth_name,'EPSG'),auth_srid,wktext

> > |GN - Paris PROJCS["RGF93 / CC45", GEOGCS [ "RGF93", DATUM ["Reseau Geodesique Francais 1993 (EPSG ID

6171)", SPHEROID ["GRS 1980 (EPSG ID 7019)", 6378137.0, 298.257222101]], PRIMEM [ "Greenwich", 0.000000 ], UNIT
["Decimal Degree", 0.01745329251994328]], PROJECTION ["France Conic Conformal zone 4"], PARAMETER
["Latitude_Of_Origin", 45.0], PARAMETER ["Central_Meridian", 3.0], PARAMETER ["Standard_Parallel_1", 44.25], PARAMETER
['Standard_Parallel_2", 45.75], PARAMETER ["False_Easting", 1700000.0], PARAMETER ["False_Northing", 4200000.0], UNIT

["Meter", 1.0]]

After this conversation with ORACLE, QGIS has all required information to define layer CRS. However | get this message for every added

layer in QGIS :

[ /1, CRS was undefined: defaulting to CRS EPSG:3345 - RGFI3 { CC45

| looked for a solution without find any. | dont understand why QGIS is unable to use Oracle SRID information.

Have you ever heard of this bug ?

Kind regards

History

#1 - 2017-05-31 01:38 PM - Jean-Louis Stanus
Same bug for me with EPSG:31370 with 2.14.15 and 2.18.9

#2 - 2017-09-08 01:35 PM - Jiirgen Fischer

- Assignee deleted (Jirgen Fischer)

#3 - 2017-09-11 08:42 PM - Sylvain LERIS

Hello,

The returned value for the "auth_name" attribute is not "EPSG", so QGIS tries to create the CRS from the WKT returned by Oracle Spatial. To do this,
QGIS uses GDAL tools and proj4. The "France Conic Conformal zone 4" projection is not known in proj4. Different solutions:

- Update "auth_name" attribute in table MDSYS.SDO_CS_SRS to "EPSG" for SRID = 3945

Or

- Update the projection in the WKT returned by Oracle Spatial for SRID = 3945 to "Lambert_Conformal_Conic_2SP"

#4 - 2019-03-09 03:08 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

QGIS 3.4 has recently become our new Long Term Release (LTR) version. This is a major step in our history - a long term release version based on the

massive updates, library upgrades and improvements that we carried out in the course of the 2.x to 3x upgrade cycle.

We strongly encourage all users who are currently using QGIS 2.18 LTR as their preferred QGIS release to migrate to QGIS 3.4. This new LTR version
will receive regular bugfixes for at least one year. It also includes hundreds of new functions, usability improvements, bugfixes, and other goodies. See the
relevant changelogs for a good sampling of all the new features that have gone into version 3.4

Most plugins have been either migrated or incorporated into the core QGIS code base.

We strongly discourage the continued use of QGIS 2.18 LTR as it is now officially unsupported, which means we’ll not provide any bug fix releases for it.

You should also note that we intend to close all bug tickets referring to the now obsolete LTR version. Original reporters will receive a notification of the
ticket closure and are encouraged to check whether the issue persists in the new LTR, in which case they should reopen the ticket.

If you would like to better understand the QGIS release roadmap, check out our roadmap page! It outlines the schedule for upcoming releases and will help

you plan your deployment of QGIS into an operational environment.
The development of QGIS 3.4 LTR has been made possible by the work of hundreds of volunteers, by the investments of companies, professionals, and

administrations, and by continuous donations and financial support from many of you. We sincerely thank you all and encourage you to collaborate and
support the project even more, for the long term improvement and sustainability of the QGIS project.
